ServerEvents.recipes(event => {
    event.remove({ output: 'modularrouters:modular_router' })
    event.shaped(
        Item.of('modularrouters:modular_router'),
        [
            'ABA',
            'CDC',
            'AEA'
        ],
        {
            A: 'minecraft:iron_ingot',
            B: 'modularrouters:augment_core',
            C: '#chipped:iron_bars',
            D: 'kubejs:machine_frame',
            F: [
                'kubejs:world_core',
                'mekanism:teleportation_core'
            ]
        }
    )
    event.remove({ output: 'modularrouters:augment_core' })
    event.shapeless(
        Item.of('modularrouters:augment_core'),
        [
            'modularrouters:blank_module',
            'modularrouters:blank_upgrade'
        ]
    )
    event.remove({ output: 'modularrouters:blank_module' })
    event.shaped(
        Item.of('modularrouters:blank_module'),
        [
            ' A ',
            'BBB',
            'CDC'
        ],
        {
            A: 'minecraft:redstone',
            B: 'minecraft:paper',
            C: 'minecraft:gold_nugget',
            D: [
                'kubejs:world_core',
                'mekanism:teleportation_core'
            ]
        }
    )
    event.shaped(
        Item.of('modularrouters:blank_module', 6),
        [
            ' A ',
            'BBB',
            'CDC'
        ],
        {
            A: 'minecraft:redstone',
            B: 'minecraft:paper',
            C: 'minecraft:gold_nugget',
            D: 'mekanism:hdpe_sheet'
        }
    )
    event.remove({ output: 'modularrouters:blank_upgrade' })
    event.shaped(
        Item.of('modularrouters:blank_upgrade'),
        [
            'AAB',
            'ACB',
            ' AB'
        ],
        {
            A: 'minecraft:paper',
            B: 'minecraft:gold_nugget',
            C: [
                'kubejs:world_core',
                'mekanism:teleportation_core'
            ]
        }
    )
    event.shaped(
        Item.of('modularrouters:blank_upgrade',4),
        [
            'AAB',
            'ACB',
            ' AB'
        ],
        {
            A: 'minecraft:paper',
            B: 'minecraft:gold_nugget',
            C: 'mekanism:hdpe_sheet'
        }
    )
})